<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package roxce
 */

get_header();
?>

<div class="error-area pt-100 pb-120">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 offset-xl-2">
            	<?php
            		$roxce_error_404_text = get_theme_mod('roxce_error_404_text', __('404','roxce')); 
            		$roxce_error_title = get_theme_mod('roxce_error_title', __('Page not found','roxce')); 
            		$roxce_error_link_text = get_theme_mod('roxce_error_link_text', __('Back To Home','roxce')); 
            		$roxce_error_desc = get_theme_mod('roxce_error_desc',__('Oops! The page you are looking for does not exist. It might have been moved or deleted.','roxce')); 
            	?>

				<div class="error__item text-center">
                  <div class="error__content">
                     <h2 class="error__title-404"><?php print esc_html( $roxce_error_404_text ); ?></h2>
                     <h3 class="error__title"><?php print esc_html( $roxce_error_title ); ?></h3>
                     <p><?php print esc_html( $roxce_error_desc ); ?></p>
                     <a href="<?php print esc_url(home_url('/')); ?>" class="r-btn"><?php print esc_html($roxce_error_link_text); ?></a>
                  </div>
               </div>
			</div>
		</div>
	</div>
</div>

<?php
get_footer();
