<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package roxce
 */
?>

<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
    <?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
    <?php endif; ?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

    <?php    
        $roxce_preloader = get_theme_mod('roxce_preloader', false); 

        $roxce_preloader_logo_icon = get_template_directory_uri() . '/assets/img/logo/logo-icon.png';
        $roxce_preloader_logo = get_template_directory_uri() . '/assets/img/logo/logo-text.png';

        $preloader_logo_icon = get_theme_mod('preloader_icon', $roxce_preloader_logo_icon);
        $preloader_logo = get_theme_mod('preloader_logo', $roxce_preloader_logo);

    ?>

     <?php if(!empty($roxce_preloader)) : ?>
    <div id="loading">
        <div id="loading-center">
            <div id="loading-center-absolute">
               <div class="loading-icon text-center d-sm-flex align-items-center justify-content-center">
                <?php if(!empty($preloader_logo_icon)) : ?>
                  <img class="loading-logo mr-10" src="<?php print esc_url($preloader_logo_icon); ?>" alt="<?php print esc_attr__('logo','roxce'); ?>">
                <?php endif; ?>

                <?php if(!empty($preloader_logo)) : ?>
                  <img src="<?php print esc_url($preloader_logo); ?>" alt="<?php print esc_attr__('logo','roxce'); ?>">
                  <?php endif; ?>
               </div>
            </div>
        </div>  
    </div>
    <?php endif; ?>






    <!-- back to top start -->
    <div class="progress-wrap">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
        </svg>
    </div>
    <!-- back to top end -->

    <?php wp_body_open(); ?>

    <!-- header start -->
    <?php do_action('roxce_header_style'); ?>
    <!-- header end -->
    <!-- wrapper-box start -->
    <?php do_action('roxce_before_main_content'); ?>
    





        