<?php
/**
 * roxce customizer
 *
 * @package roxce
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Added Panels & Sections
 */
function roxce_customizer_panels_sections( $wp_customize ) {

    //Add panel
    $wp_customize->add_panel( 'roxce_customizer', [
        'priority' => 10,
        'title'    => esc_html__( 'Roxce Customizer', 'roxce' ),
    ] );

    /**
     * Customizer Section
     */
    $wp_customize->add_section( 'header_top_setting', [
        'title'       => esc_html__( 'Header Topbar Setting', 'roxce' ),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'header_social', [
        'title'       => esc_html__( 'Header Social', 'roxce' ),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'sectionheader_logo', [
        'title'       => esc_html__( 'Header Setting', 'roxce' ),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'roxce' ),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'header_side_setting', [
        'title'       => esc_html__( 'Side Info', 'roxce' ),
        'description' => '',
        'priority'    => 14,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'breadcrumb_setting', [
        'title'       => esc_html__( 'Breadcrumb Setting', 'roxce' ),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'roxce' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'footer_setting', [
        'title'       => esc_html__( 'Footer Settings', 'roxce' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'footer_social', [
        'title'       => esc_html__( 'Footer Social', 'roxce' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'color_setting', [
        'title'       => esc_html__( 'Color Setting', 'roxce' ),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( '404_page', [
        'title'       => esc_html__( '404 Page', 'roxce' ),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

    $wp_customize->add_section( 'rtl_setting', [
        'title'       => esc_html__( 'RTL Setting', 'roxce' ),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'roxce_customizer',
    ] );

}

add_action( 'customize_register', 'roxce_customizer_panels_sections' );

function header_top_fields( $fields ) {

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_topbar_switch',
        'label'    => esc_html__( 'Topbar Swicher', 'roxce' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_preloader',
        'label'    => esc_html__( 'Preloader On/Off', 'roxce' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_backtotop',
        'label'    => esc_html__( 'Back To Top On/Off', 'roxce' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_show_header_search',
        'label'    => esc_html__( 'Search On/Off', 'roxce' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_show_header_lang',
        'label'    => esc_html__( 'Language On/Off', 'roxce' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_header_right',
        'label'    => esc_html__( 'Header Right On/Off', 'roxce' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];    


    $fields[] = [
        'type'            => 'text',
        'settings'        => 'roxce_address',
        'label'           => esc_html__( 'Address', 'roxce' ),
        'section'         => 'header_top_setting',
        'default'         => esc_html__( '20 Main Street, USA', 'roxce' ),
        'priority'        => 10,
        'active_callback' => [
            [
                'setting'  => 'roxce_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'link',
        'settings' => 'roxce_address_link',
        'label'    => esc_html__( 'Address Link', 'roxce' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'            => 'text',
        'settings'        => 'roxce_email',
        'label'           => esc_html__( 'Mail ID', 'roxce' ),
        'section'         => 'header_top_setting',
        'default'         => esc_html__( ' support@gmail.com', 'roxce' ),
        'priority'        => 10,
        'active_callback' => [
            [
                'setting'  => 'roxce_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];


      $fields[] = [
        'type'            => 'text',
        'settings'        => 'roxce_phone',
        'label'           => esc_html__( 'Phone Number', 'roxce' ),
        'section'         => 'header_top_setting',
        'default'         => esc_html__( '+012 (345) 6789', 'roxce' ),
        'priority'        => 10,
        'active_callback' => [
            [
                'setting'  => 'roxce_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'            => 'text',
        'settings'        => 'roxce_social_label',
        'label'           => esc_html__( 'Social Label', 'roxce' ),
        'section'         => 'header_top_setting',
        'default'         => esc_html__( 'Follow us:', 'roxce' ),
        'priority'        => 10,
        'active_callback' => [
            [
                'setting'  => 'roxce_topbar_switch',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];


    // Header info
    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_header_info_title',
        'label'    => esc_html__( 'Header Info Title', 'roxce' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Phone nunmer', 'roxce' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'roxceheader_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_header_info_number',
        'label'    => esc_html__( 'Header Info Number', 'roxce' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '+012 (345) 6789', 'roxce' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'roxceheader_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];



    return $fields;

}
add_filter( 'kirki/fields', 'header_top_fields' );

/*
Header Social
 */
function header_social_fields( $fields ) {
    // header section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_topbar_fb_url',
        'label'    => esc_html__( 'Facebook Url', 'roxce' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_topbar_twitter_url',
        'label'    => esc_html__( 'Twitter Url', 'roxce' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_topbar_linkedin_url',
        'label'    => esc_html__( 'Linkedin Url', 'roxce' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_topbar_instagram_url',
        'label'    => esc_html__( 'Instagram Url', 'roxce' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_topbar_youtube_url',
        'label'    => esc_html__( 'Youtube Url', 'roxce' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];


    return $fields;
}
add_filter( 'kirki/fields', 'header_social_fields' );

/*
Header Settings
 */
function headerheader_fields( $fields ) {

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'choose_defaultheader',
        'label'       => esc_html__( 'Choose Header Style', 'roxce' ),
        'section'     => 'sectionheader_logo',
        'default'     => 'header-style-1',
        'placeholder' => esc_html__( 'Select an option...', 'roxce' ),
        'priority'    => 10,
        'choices'     => [
            'header-style-1' => esc_html__( 'Header Style 1', 'roxce' ),
            'header-style-2' => esc_html__( 'Header Style 2', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__( 'Header Logo', 'roxce' ),
        'description' => esc_html__( 'Upload Your Logo.', 'roxce' ),
        'section'     => 'sectionheader_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seconday_logo',
        'label'       => esc_html__( 'Header Secondary Logo', 'roxce' ),
        'description' => esc_html__( 'Header White Logo', 'roxce' ),
        'section'     => 'sectionheader_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo-white.png',
    ];

    $fields[] = [
        'type'        => 'slider',
        'settings'    => 'roxce_logo_size',
        'label'       => esc_html__( 'Header Logo Size', 'roxce' ),
        'description' => esc_html__( 'Header Logo Size', 'roxce' ),
        'section'     => 'sectionheader_logo',
        'default' => '168px',
        'choices'     => [
            'min'  => 100,
            'max'  => 400,
            'step' => 4,
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'preloader_icon',
        'label'       => esc_html__( 'Preloader Icon', 'roxce' ),
        'description' => esc_html__( 'Upload Preloader Icon.', 'roxce' ),
        'section'     => 'sectionheader_logo',
        'default'     => get_template_directory_uri() . '/assets/img/preloader/preloader-icon.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'preloader_logo',
        'label'       => esc_html__( 'Preloader Logo', 'roxce' ),
        'description' => esc_html__( 'Upload Preloader Logo.', 'roxce' ),
        'section'     => 'sectionheader_logo',
        'default'     => get_template_directory_uri() . '/assets/img/preloader/preloader-logo.png',
    ];


    return $fields;
}
add_filter( 'kirki/fields', 'headerheader_fields' );

/*
Header Side Info
 */
function header_side_fields( $fields ) {
    // side info settings
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_hamburger_logo_hide',
        'label'    => esc_html__( 'Hamburger Logo  On/Off', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_side_search',
        'label'    => esc_html__( 'Side Info Search On/Off', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_side_des',
        'label'    => esc_html__( 'Side Info Description On/Off', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_side_gallery',
        'label'    => esc_html__( 'Side Info Gallery On/Off', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_side_map',
        'label'    => esc_html__( 'Side Info Map On/Off', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_side_info',
        'label'    => esc_html__( 'Side Info On/Off', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_side_contact_info',
        'label'    => esc_html__( 'Side Info Contact On/Off', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_side_info_social',
        'label'    => esc_html__( 'Side Info Social On/Off', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'roxce_extra_info_logo',
        'label'       => esc_html__( 'Logo Side', 'roxce' ),
        'description' => esc_html__( 'Logo Side', 'roxce' ),
        'section'     => 'header_side_setting',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
    ];

    // contact
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'roxce_extra_content',
        'label'    => esc_html__( 'Sidebar Description', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'Sidebar description here', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'link',
        'settings' => 'roxce_map_link',
        'label'    => esc_html__( 'Roxce Map URL', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_info_title',
        'label'    => esc_html__( 'Contact Info Title', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'Contact Info', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_extra_address',
        'label'    => esc_html__( 'Address', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '12/A, Mirnada City Tower, NYC', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'link',
        'settings' => 'roxce_extra_address_link',
        'label'    => esc_html__( 'Address Link', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_extra_phone',
        'label'    => esc_html__( 'Phone Number', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '088889797697', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_extra_mail',
        'label'    => esc_html__( 'E-mail Address', 'roxce' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'support@mail.com', 'roxce' ),
        'priority' => 10,
    ];

 
    return $fields;
}
add_filter( 'kirki/fields', 'header_side_fields' );

/*
header_page_title_fields
 */
function header_page_title_fields( $fields ) {
    // Breadcrumb Setting

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_breadcrumb_shape_switch',
        'label'    => esc_html__( 'Shape Show/Hide', 'roxce' ),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__( 'Breadcrumb Background Image', 'roxce' ),
        'description' => esc_html__( 'Breadcrumb Background Image', 'roxce' ),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/page-title/page-title.jpg',
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'roxce_breadcrumb_bg_color',
        'label'       => __( 'Breadcrumb BG Color', 'roxce' ),
        'description' => esc_html__( 'This is a Breadcrumb bg color control.', 'roxce' ),
        'section'     => 'breadcrumb_setting',
        'default'     => '#f4f9fc',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_breadcrumb_bottom_spacing',
        'label'    => esc_html__( 'Breadcrumb Padding Bottom', 'roxce' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( '160px', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_breadcrumb_bottom_spacing',
        'label'    => esc_html__( 'Breadcrumb Padding Bottom', 'roxce' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( '160px', 'roxce' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', 'header_page_title_fields' );

/*
Header Blog fileds
 */
function header_blog_fields( $fields ) {
// Blog Setting
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_blog_btn_switch',
        'label'    => esc_html__( 'Blog BTN On/Off', 'roxce' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_blog_btn',
        'label'    => esc_html__( 'Blog Button text', 'roxce' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'roxce' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_blog_btn_rtl',
        'label'    => esc_html__( 'Blog Button text rtl', 'roxce' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__( 'Blog Title', 'roxce' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title_details',
        'label'    => esc_html__( 'Blog Details Title', 'roxce' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog Details', 'roxce' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', 'header_blog_fields' );

/*
Footer
 */
function header_footer_fields( $fields ) {
    // Footer Setting
    $fields[] = [
        'type'        => 'select',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__( 'Choose Footer Style', 'roxce' ),
        'section'     => 'footer_setting',
        'default'     => 'footer-style-1',
        'placeholder' => esc_html__( 'Select an option...', 'roxce' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'footer-style-1' => esc_html__( 'Footer Style 1', 'roxce' ),
            'footer-style-2' => esc_html__( 'Footer Style 2', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'footer_widget_number',
        'label'       => esc_html__( 'Widget Number', 'roxce' ),
        'section'     => 'footer_setting',
        'default'     => '5',
        'placeholder' => esc_html__( 'Select an option...', 'roxce' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            '5' => esc_html__( 'Widget Number 5', 'roxce' ),
            '4' => esc_html__( 'Widget Number 4', 'roxce' ),
            '3' => esc_html__( 'Widget Number 3', 'roxce' ),
            '2' => esc_html__( 'Widget Number 2', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'roxce_footer_bg',
        'label'       => esc_html__( 'Footer Background Image.', 'roxce' ),
        'description' => esc_html__( 'Footer Background Image.', 'roxce' ),
        'section'     => 'footer_setting',
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'roxce_footer_bg_color',
        'label'       => __( 'Footer BG Color', 'roxce' ),
        'description' => esc_html__( 'This is a Footer bg color control.', 'roxce' ),
        'section'     => 'footer_setting',
        'default'     => '#222429',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'roxce_Footer_1_menu_hover_color',
        'label'       => __( 'Footer 1 Menu Hover Color', 'roxce' ),
        'description' => esc_html__( 'This is Footer 1 Menu Hover color control.', 'roxce' ),
        'section'     => 'footer_setting',
        'default'     => '#7127ea',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_2_switch',
        'label'    => esc_html__( 'Footer Style 2 On/Off', 'roxce' ),
        'section'  => 'footer_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

      $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_3_switch',
        'label'    => esc_html__( 'Footer Style 3 On/Off', 'roxce' ),
        'section'  => 'footer_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'roxce_footer_social_profiles',
        'label'    => esc_html__( 'Footer Social On/Off', 'roxce' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'roxce' ),
            'off' => esc_html__( 'Disable', 'roxce' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'roxce_footer_logo',
        'label'       => esc_html__( 'Footer Logo', 'roxce' ),
        'description' => esc_html__( 'Footer Logo', 'roxce' ),
        'section'     => 'footer_setting',
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_copyright',
        'label'    => esc_html__( 'Copy Right', 'roxce' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( 'Copyright &copy; 2022 BDevs. All Rights Reserved', 'roxce' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'footer_copyright_switch',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];
 
    return $fields;
}
add_filter( 'kirki/fields', 'header_footer_fields' );

/*
 Footer Social
 */
function footer_social_fields( $fields ) {
    // header section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_footer_fb_url',
        'label'    => esc_html__( 'Facebook Url', 'roxce' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_footer_twitter_url',
        'label'    => esc_html__( 'Twitter Url', 'roxce' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_footer_linkedin_url',
        'label'    => esc_html__( 'Linkedin Url', 'roxce' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_footer_instagram_url',
        'label'    => esc_html__( 'Instagram Url', 'roxce' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_footer_youtube_url',
        'label'    => esc_html__( 'Youtube Url', 'roxce' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'roxce' ),
        'priority' => 10,
    ];


    return $fields;
}
add_filter( 'kirki/fields', 'footer_social_fields' );


// color
function roxce_color_fields( $fields ) {
    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'roxce_theme_color_primary',
        'label'       => __( 'Theme Color', 'roxce' ),
        'description' => esc_html__( 'This is a Theme color control.', 'roxce' ),
        'section'     => 'color_setting',
        'default'     => '#fc8459',
        'priority'    => 10,
    ];   
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'roxce_theme_color_secondary',
        'label'       => __( 'Theme Color Secondary', 'roxce' ),
        'description' => esc_html__( 'This is a Secondary Theme color control.', 'roxce' ),
        'section'     => 'color_setting',
        'default'     => '#24c373',
        'priority'    => 10,
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'roxce_theme_color_tertiary',
        'label'       => __( 'Theme Color Tertiary', 'roxce' ),
        'description' => esc_html__( 'This is a Tertiary Theme color control.', 'roxce' ),
        'section'     => 'color_setting',
        'default'     => '#fad105',
        'priority'    => 10,
    ];  
    return $fields;
}
add_filter( 'kirki/fields', 'roxce_color_fields' );

// 404
function roxce_404_fields( $fields ) {
    // 404 settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_error_404_text',
        'label'    => esc_html__( '400 Text', 'roxce' ),
        'section'  => '404_page',
        'default'  => esc_html__( '404', 'roxce' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_error_title',
        'label'    => esc_html__( 'Not Found Title', 'roxce' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Page not found', 'roxce' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'roxce_error_desc',
        'label'    => esc_html__( '404 Description Text', 'roxce' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Oops! The page you are looking for does not exist. It might have been moved or deleted', 'roxce' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'roxce_error_link_text',
        'label'    => esc_html__( '404 Link Text', 'roxce' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Back To Home', 'roxce' ),
        'priority' => 10,
    ];
    return $fields;

}
add_filter( 'kirki/fields', 'roxce_404_fields' );

/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function ROXCE_THEME_option( $name ) {
    $value = '';
    if ( class_exists( 'roxce' ) ) {
        $value = Kirki::get_option( roxce_get_theme(), $name );
    }

    return apply_filters( 'ROXCE_THEME_option', $value, $name );
}

/**
 * Get config ID
 *
 * @return string
 */
function roxce_get_theme() {
    return 'roxce';
}