<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package roxce
 */

/**
*
* roxce elements header
*/
function roxce_element_header_style($template_id) { ?>
    <div class="header-area">
        <div class="custom-container">
            <?php echo \BdevsElement::$elementor_instance->frontend->get_builder_content($template_id, true); ?>
        </div>
    </div>
<?php
}


function roxce_check_header() {
    $roxce_element_header_switch = get_theme_mod('roxce_element_header_switch', false );
    if(!empty($roxce_element_header_switch)) {
        $element_header_styles = function_exists('get_field') ? get_field( 'element_header_styles' ) : NULL;
        if (!empty($element_header_styles->ID)) {
            roxce_element_header_style($element_header_styles->ID);
        }
        else{
            $template_id = get_theme_mod('choose_default_header_el' );
            roxce_element_header_style($template_id);
        }
    }
    else {
        $roxce_header_style = function_exists('get_field') ? get_field( 'header_style' ) : NULL;
        $roxce_default_header_style = get_theme_mod('choose_default_header', 'header-style-1' );

        if( $roxce_header_style == 'header-style-1' ) {
            roxce_header_style_1();
        }
        elseif( $roxce_header_style == 'header-style-2' ) {
            roxce_header_style_2();
        }
         elseif( $roxce_header_style == 'header-style-3' ) {
            roxce_header_style_3();
        }  
        else {
            
            /** default header style **/
            if($roxce_default_header_style == 'header-style-2') {
                roxce_header_style_2();
            }
             elseif($roxce_default_header_style == 'header-style-3') {
             roxce_header_style_3();
        }
            else {
                roxce_header_style_1();
            }
        }
    }
    

}
add_action('roxce_header_style', 'roxce_check_header', 10);

/**
* header style 1 default
*/

function roxce_header_style_1() {
    $roxce_topbar_switch = get_theme_mod('roxce_topbar_switch', false);
    $roxce_cart_hide = get_theme_mod('roxce_cart_hide', false);
    $roxce_show_button = get_theme_mod('roxce_show_button', false);
    $roxce_show_cta = get_theme_mod('roxce_show_cta', false);
    $roxce_hamburger_hide = get_theme_mod('roxce_hamburger_hide', false);
    $roxce_show_header_search = get_theme_mod('roxce_show_header_search' , false);
    $roxce_show_header_lang = get_theme_mod('roxce_show_header_lang' , false);

    $roxce_email = get_theme_mod('roxce_email', __('info@example.com','roxce'));
    $roxce_phone = get_theme_mod('roxce_phone', __('02 (555) 520 890','roxce'));
    $roxce_address = get_theme_mod('roxce_address', __(' 58 Howard Street #2 San Francisco','roxce'));
    $roxce_address_link = get_theme_mod('roxce_address_link', __('#','roxce'));

    $roxce_header_right = get_theme_mod('roxce_header_right', false);
    $roxce_menu_col =  $roxce_header_right ? 'col-xxl-6 col-xl-6 col-lg-7 d-none d-lg-block' : 'col-xxl-9 col-xl-9 col-lg-9 d-none d-lg-block text-end';
    $roxce_header_menu_display =  $roxce_header_right ? 'd-none' : '';

    if (rtl_enable()) {
        $btn_text = get_theme_mod('roxce_button_text_rtl', __('Get Quote','roxce'));
    }
    else { 
        $btn_text = get_theme_mod('roxce_button_text', __('Get A Quote','roxce'));
    }
    
    $btn_link = get_theme_mod('roxce_button_link', __('#','roxce'));

    ?>

      <!-- header area start -->
      <header>
         <div class="header__area">
            <?php if(!empty($roxce_topbar_switch)) : ?>
            <div class="header__top grey-bg pl-55 pr-55 header__padding d-none d-lg-block">
               <div class="container-fluid">
                  <div class="row align-items-center">
                     <div class="col-xxl-6 col-xl-8 col-lg-8">
                        <div class="header__top-left">
                           <div class="header__info">
                              <ul>
                                 <?php if(!empty($roxce_address)) : ?>
                                 <li>
                                    <a target="_blank" href="<?php print esc_url($roxce_address_link); ?>"><i class="far fa-map-marker-alt"></i> <?php print esc_html($roxce_address); ?></a>
                                 </li>
                                 <?php endif; ?>

                                 <?php if(!empty($roxce_email)) : ?>
                                 <li>
                                    <a href="mailto:<?php print esc_attr($roxce_email); ?>"><i class="far fa-envelope-open"></i> <?php print esc_html($roxce_email); ?></a>
                                 </li>
                                 <?php endif; ?>

                                <?php if(!empty($roxce_phone)) : ?>
                                 <li>
                                    <a href="tel:<?php print esc_attr($roxce_phone); ?>"><i class="fal fa-phone"></i> <?php print esc_html($roxce_phone); ?></a>
                                 </li>
                                 <?php endif; ?>
                              </ul>
                           </div>
                        </div>
                     </div>
                     <div class="col-xxl-6 col-xl-4 col-lg-4">
                        <div class="header__top-right d-flex align-items-center justify-content-end">
                           <?php if(!empty($roxce_show_header_search)) : ?>
                           <div class="header__search p-relative mr-20">
                              <form method="get" action="<?php print esc_url(home_url('/')); ?>">
                                 <input type="search" name="s" value="<?php print esc_attr( get_search_query() ) ?>" placeholder="<?php print esc_attr__('Search here...', 'roxce'); ?>">
                                 <button type="submit"><i class="far fa-search"></i></button>
                              </form>
                           </div>
                           <?php endif; ?>
                           <?php if(!empty($roxce_show_header_lang)) : ?>
                              <?php roxce_header_lang_defualt(); ?>
                           <?php endif; ?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <?php endif; ?>
            <div id="header-sticky" class="header__bottom pl-55 pr-55 header__padding">
               <div class="container-fluid">
                  <div class="row align-items-center">
                     <div class="col-xxl-3 col-xl-2 col-lg-3 col-md-6 col-sm-6 col-6">
                        <div class="logo">
                           <?php roxce_header_logo(); ?>
                        </div>
                     </div>
                     <div class="<?php print esc_attr($roxce_menu_col); ?>">
                        <div class="header__bottom-mid">
                           <div class="main-menu">
                              <nav id="mobile-menu">
                                 <?php roxce_header_menu(); ?>
                              </nav>
                           </div>
                        </div>
                     </div>
                     <?php if(!empty($roxce_header_right)) : ?> 
                     <div class="col-xxl-3 col-xl-4 col-lg-2 col-md-6 col-sm-6 col-6">
                        <div class="header__bottom-right d-flex align-items-center justify-content-end">
                           <div class="header__social mr-35 d-none d-xl-block">
                               <?php echo roxce_header_social_profiles(); ?>
                           </div>
                           <div class="header__action">
                              <button type="button" class="dot-hamburger-btn sidebar-toggle-btn">
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                              </button>
                           </div>
                        </div>
                     </div>
                  <?php endif; ?>

                  <div class="<?php print esc_attr($roxce_header_menu_display); ?> col-6 d-lg-none">
                     <div class="header__action text-end">
                        <button type="button" class="dot-hamburger-btn sidebar-toggle-btn">
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                        </button>
                     </div>
                  </div>
                  </div>
               </div>
            </div>
         </div>
      </header>
      <!-- header area end -->

 <!-- Header style 1 end -->

    <?php roxce_extra_info(); ?>

<?php 
}


/**
* header style 2 
*/

function roxce_header_style_2() {

    $roxce_topbar_switch = get_theme_mod('roxce_topbar_switch', false);
    $roxce_cart_hide = get_theme_mod('roxce_cart_hide', false);
    $roxce_show_button = get_theme_mod('roxce_show_button', false);
    $roxce_show_cta = get_theme_mod('roxce_show_cta', false);
    $roxce_hamburger_hide = get_theme_mod('roxce_hamburger_hide', false);
    $roxce_show_header_search = get_theme_mod('roxce_show_header_search' , false);

    $roxce_mail_id = get_theme_mod('roxce_mail_id', __('info@sycho24.com','roxce'));
    $roxce_welcome_text = get_theme_mod('roxce_welcome_text',__(' Opening Time: Sunday to Thursday','roxce'));
    $roxce_phone = get_theme_mod('roxce_phone', __('02 (555) 520 890','roxce'));
    $roxce_phone_link = get_theme_mod('roxce_phone_link', __('876864764764','roxce'));
    $roxce_address = get_theme_mod('roxce_address', __('28/4 Palmal, London','roxce'));
    $roxce_open_hour = get_theme_mod('roxce_open_hour', __('Sunday to Thursday','roxce'));

    $roxce_header_right = get_theme_mod('roxce_header_right', false);
    $roxce_menu_col =  $roxce_header_right ? 'col-xxl-7 col-xl-6 col-lg-6 d-none d-lg-block' : 'col-xxl-10 col-lx-10 col-lg-10 d-none d-lg-block text-end';
    $roxce_header_menu_display =  $roxce_header_right ? 'd-none' : '';

    if (rtl_enable()) {
        $btn_text = get_theme_mod('roxce_button_text_rtl', __('Get A Quote','roxce'));   
    }
    else { 
        $btn_text = get_theme_mod('roxce_button_text', __('Get A Quote','roxce'));
    }
    
    $btn_link = get_theme_mod('roxce_button_link', __('#','roxce'));

    ?>
    <!-- header area start here -->


   <header>
         <div class="header__area">
            <div id="header-sticky" class="header__bottom header__transparent header__padding pl-55 pr-55 sticky-2">
               <div class="container-fluid">
                  <div class="row align-items-center">
                     <div class="col-xxl-2 col-xl-3 col-lg-3 col-6">
                        <div class="logo">
                          <?php roxce_header_logo(); ?>
                        </div>
                     </div>
                     <div class="<?php print esc_attr($roxce_menu_col); ?>">
                        <div class="header__bottom-mid">
                           <div class="main-menu main-menu-2">
                              <nav id="mobile-menu">
                                 <?php roxce_header_menu(); ?>
                              </nav>
                           </div>
                        </div>
                     </div>
                     <?php if(!empty($roxce_header_right)) : ?>
                     <div class="col-xxl-3 col-xl-3 col-lg-3 col-6">
                        <div class="header__bottom-right d-flex align-items-center justify-content-end">
                           <?php if(!empty($roxce_show_header_search)) : ?>
                           <div class="header__search mr-40">
                              <a href="javascript:void(0)" class="header__search-btn search-toggle search-trigger">
                                 <i class="far fa-search"></i>
                              </a>
                           </div>
                           <?php endif; ?>
                           <div class="header__action">
                              <button type="button" class="dot-hamburger-btn dot-hamburger-btn-2 sidebar-toggle-btn">
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                              </button>
                           </div>
                        </div>
                     </div>
                  <?php endif; ?>

                  <div class="<?php print esc_attr($roxce_header_menu_display); ?> col-6 d-lg-none">
                     <div class="header__action text-end">
                        <button type="button" class="dot-hamburger-btn dot-hamburger-btn-2 sidebar-toggle-btn">
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                        </button>
                     </div>
                  </div>
                  </div>
               </div>
            </div>
         </div>
   </header>

   <?php roxce_extra_info(); ?> 

<?php 
}



/**
* header style 3 
*/

function roxce_header_style_3() {

    $roxce_topbar_switch = get_theme_mod('roxce_topbar_switch', false);
    $roxce_cart_hide = get_theme_mod('roxce_cart_hide', false);
    $roxce_show_button = get_theme_mod('roxce_show_button', false);
    $roxce_show_cta = get_theme_mod('roxce_show_cta', false);
    $roxce_hamburger_hide = get_theme_mod('roxce_hamburger_hide', false);
    $roxce_show_header_search = get_theme_mod('roxce_show_header_search' , false);

    $roxce_mail_id = get_theme_mod('roxce_mail_id', __('info@sycho24.com','roxce'));
    $roxce_welcome_text = get_theme_mod('roxce_welcome_text',__(' Opening Time: Sunday to Thursday','roxce'));
    $roxce_phone = get_theme_mod('roxce_phone', __('02 (555) 520 890','roxce'));
    $roxce_phone_link = get_theme_mod('roxce_phone_link', __('876864764764','roxce'));
    $roxce_address = get_theme_mod('roxce_address', __('28/4 Palmal, London','roxce'));
    $roxce_open_hour = get_theme_mod('roxce_open_hour', __('Sunday to Thursday','roxce'));
    $roxce_header_info_title = get_theme_mod('roxce_header_info_title', __('Phone nunmer','roxce'));
    $roxce_header_info_number = get_theme_mod('roxce_header_info_number', __('+012 (345) 6789','roxce'));

    $roxce_header_right = get_theme_mod('roxce_header_right', false);
    $roxce_menu_col =  $roxce_header_right ? 'col-xxl-7 col-xl-7 col-lg-8 d-none d-lg-block' : 'col-xxl-10 col-lx-10 col-lg-10 d-none d-lg-block text-end';
    $roxce_header_menu_display =  $roxce_header_right ? 'd-none' : '';

    if (rtl_enable()) {
        $btn_text = get_theme_mod('roxce_button_text_rtl', __('Get A Quote','roxce'));   
    }
    else { 
        $btn_text = get_theme_mod('roxce_button_text', __('Get A Quote','roxce'));
    }
    
    $btn_link = get_theme_mod('roxce_button_link', __('#','roxce'));

    ?>
    <!-- header area start here -->



 <!-- header area start -->
      <header>
         <div class="header__area">
            <div id="header-sticky" class="header__bottom header__padding pl-55 pr-55">
               <div class="container-fluid">
                  <div class="row align-items-center">
                     <div class="col-xxl-2 col-xl-3 col-lg-3 col-6">
                        <div class="logo">
                           <?php roxce_header_logo(); ?>
                        </div>
                     </div>
                     <div class="<?php print esc_attr($roxce_menu_col); ?>">
                        <div class="header__bottom-mid">
                           <div class="main-menu main-menu-3">
                              <nav id="mobile-menu">
                                 <?php roxce_header_menu(); ?>
                              </nav>
                           </div>
                        </div>
                     </div>
                     <?php if(!empty($roxce_header_right)) : ?>
                     <div class="col-xxl-3 col-xl-2 col-lg-1 col-6">
                        <div class="header__bottom-right d-flex align-items-center justify-content-end">
                           <?php if(!empty($roxce_header_info_number)) : ?>
                           <div class="header__call d-none d-xxl-flex align-items-center mr-40">
                              <div class="header__call-icon mr-10">
                                 <i class="far fa-phone"></i>
                              </div>
                              <div class="header__call-text">
                                 <?php if(!empty($roxce_header_info_title)) : ?>
                                 <span><?php print esc_html($roxce_header_info_title); ?></span>
                                 <?php endif; ?>

                                 <?php if(!empty($roxce_header_info_number)) : ?>
                                 <h5><a href="tel:<?php print esc_attr($roxce_header_info_number); ?>"><?php print esc_html($roxce_header_info_number); ?></a></h5>
                                 <?php endif; ?>
                              </div>
                           </div>
                           <?php endif; ?>
                           <div class="header__action">
                              <button type="button" class="dot-hamburger-btn dot-hamburger-btn-3 sidebar-toggle-btn">
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                                 <span></span>
                              </button>
                           </div>
                        </div>
                     </div>
                  <?php endif; ?>

                  <div class="<?php print esc_attr($roxce_header_menu_display); ?> col-6 d-lg-none">
                     <div class="header__action text-end">
                        <button type="button" class="dot-hamburger-btn dot-hamburger-btn-3 sidebar-toggle-btn">
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                           <span></span>
                        </button>
                     </div>
                  </div>
                  </div>
               </div>
            </div>
         </div>
      </header>
      <!-- header area end -->

   
   <?php roxce_extra_info(); ?> 

<?php 
}


/** 
 * [roxce_extra_info description]
 * @return [type] [description]
 */
function roxce_extra_info(){
    $roxce_extra_info_logo   = get_theme_mod('roxce_extra_info_logo',get_template_directory_uri() . '/assets/img/logo/logo.png');
     
    // Header info switch
    $roxce_hamburger_logo_hide = get_theme_mod('roxce_hamburger_logo_hide', true);

    // about title
    $roxce_extra_about_text     = get_theme_mod('roxce_extra_about_text', __('We must explain to you how all seds this mistakens idea off denouncing pleasures and praising pain was born and I will give you a completed accounts of the system and expound.','roxce'));

   // Side info Search On/off
   $roxce_side_search     = get_theme_mod('roxce_side_search', false);

   // Side info Description On/off
   $roxce_side_des     = get_theme_mod('roxce_side_des', false);

   // Side info gallery On/off
   $roxce_side_gallery     = get_theme_mod('roxce_side_gallery', false);

    // Side info Map On/off
   $roxce_side_map     = get_theme_mod('roxce_side_map', false);

   // Side info On/off
   $roxce_side_info     = get_theme_mod('roxce_side_info', false);

   // Side info On/off
   $roxce_side_info_social     = get_theme_mod('roxce_side_info_social', false);

   // Side Contact info On/off
   $roxce_side_contact_info     = get_theme_mod('roxce_side_contact_info', false);
    
    $roxce_extra_button     = get_theme_mod('roxce_extra_button', __('Contact Us','roxce'));

    $roxce_extra_button_url     = get_theme_mod('roxce_extra_button_url', __('#','roxce'));

   // Description
    $roxce_extra_content     = get_theme_mod('roxce_extra_content', __('Sidebar Description Here','roxce'));

    // Map
    $roxce_map_link = get_theme_mod( 'roxce_map_link', __( '#', 'roxce' ) );


    $roxce_extra_address_link = get_theme_mod( 'roxce_extra_address_link', __( '#', 'roxce' ) );

   // Contact Info Title
    $roxce_info_title     = get_theme_mod('roxce_info_title', __('Contact Info Title','roxce'));

   // address
    $roxce_extra_address     = get_theme_mod('roxce_extra_address', __('12/A, Mirnada City Tower, NYC','roxce'));

   // phone 
    $roxce_extra_phone   = get_theme_mod('roxce_extra_phone', __('(+642) 394 396 432','roxce'));

   // email 
    $roxce_extra_mail  = get_theme_mod('roxce_extra_mail', __('support@roxce.com','roxce'));
    
?>


   <!-- sidebar area start -->
      <div class="sidebar__area">
         <div class="sidebar__wrapper">
            <div class="sidebar__close">
               <button class="sidebar__close-btn" id="sidebar__close-btn">
                  <i class="fal fa-times"></i>
               </button>
            </div>
            <div class="sidebar__content">
               <div class="sidebar__logo mb-40">
                  <a href="<?php print esc_url(home_url('/')); ?>">
                  <img src="<?php echo esc_url($roxce_extra_info_logo); ?>" alt="<?php print esc_attr__('Logo', 'roxce'); ?>">
                  </a>
               </div>
               <?php if( !empty($roxce_side_search) ) : ?>
               <div class="sidebar__search mb-25">
                  <form method="get" action="<?php print esc_url(home_url('/')); ?>">
                     <input type="text" name="s" value="<?php print esc_attr( get_search_query() ) ?>" placeholder="<?php print esc_attr__('What are you searching for?', 'roxce'); ?>">
                     <button type="submit" ><i class="far fa-search"></i></button>
                  </form>
               </div>
               <?php endif; ?>
               <div class="mobile-menu fix"></div>
               <?php if( !empty($roxce_side_des) ) : ?>
               <div class="sidebar__text d-none d-lg-block">
                  <p><?php print esc_html( $roxce_extra_content ); ?></p>
               </div>
               <?php endif; ?>
               <?php if( !empty($roxce_side_gallery) ) : ?>
               <div class="sidebar__img d-none d-lg-block mb-20">
                   <?php
                  if(is_active_sidebar('insta-sidebar-widget')) {
                     dynamic_sidebar('insta-sidebar-widget');
                  }
                  ?>
               </div>
               <?php endif; ?>

              <?php if( !empty($roxce_side_map) ) : ?>
               <div class="sidebar__map d-none d-lg-block mb-15">
                  <iframe src="<?php print esc_url($roxce_map_link); ?>"></iframe>
               </div>
               <?php endif; ?>

               <?php if(!empty($roxce_side_contact_info)) : ?>
               <?php if( !empty($roxce_side_info) ) : ?>
               <div class="sidebar__contact mt-30 mb-20">
                  <?php if( !empty($roxce_info_title) ) : ?>
                  <h4><?php print esc_html( $roxce_info_title ); ?></h4>
                  <?php endif; ?>
                  <ul>
                     <?php if( !empty($roxce_extra_address) ) : ?>
                     <li class="d-flex align-items-center">
                        <div class="sidebar__contact-icon mr-15">
                           <i class="fal fa-map-marker-alt"></i>
                        </div>
                        
                        <div class="sidebar__contact-text">
                           <a target="_blank" href="<?php print esc_attr($roxce_extra_address_link); ?>">
                              <?php print esc_html( $roxce_extra_address ); ?>
                           </a>
                        </div>
                     </li>
                     <?php endif; ?>
                     <?php if( !empty($roxce_extra_phone) ) : ?>
                     <li class="d-flex align-items-center">
                        <div class="sidebar__contact-icon mr-15">
                           <i class="far fa-phone"></i>
                        </div>
                        <div class="sidebar__contact-text">
                           <a href="tel:<?php print esc_attr( $roxce_extra_phone ); ?>"><?php print esc_html( $roxce_extra_phone ); ?></a>
                        </div>
                     </li>
                     <?php endif; ?>
                     <?php if( !empty($roxce_extra_mail) ) : ?>
                     <li class="d-flex align-items-center">
                        <div class="sidebar__contact-icon mr-15">
                           <i class="fal fa-envelope"></i>
                        </div>
                        <div class="sidebar__contact-text">
                           <a href="mailto:<?php print esc_attr( $roxce_extra_mail ); ?>"><?php print esc_html( $roxce_extra_mail ); ?></a>
                        </div>
                     </li>
                     <?php endif; ?>
                  </ul>
               </div>
               <?php endif; ?>
               <?php if(!empty($roxce_side_info_social)) : ?>
               <div class="sidebar__social">
                  <?php roxce_sidebar_social_profiles(); ?>
               </div>
               <?php endif; ?>
               <?php endif; ?>
            </div>
         </div>
      </div>
      <!-- sidebar area end -->      
      <div class="body-overlay"></div>
      <!-- sidebar area end -->


<?php }


/** 
 * [roxce_header_lang description]
 * @return [type] [description]
 */
function roxce_header_lang_defualt() {
    $roxce_header_lang            = get_theme_mod('roxce_header_lang',true);
    if( $roxce_header_lang ): ?>


     <?php do_action('roxce_language'); ?>


    <?php endif; ?>
<?php 
}

/** 
 * [roxce_language_list description]
 * @return [type] [description]
 */
function roxce_language($mar) {
        return $mar;
}
function roxce_language_list() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul>';
            foreach($languages as $lan){
                $active = $lan['active']==1?'active':'';
                $mar .= '<a class="'.$active.'" href="'.$lan['url'].'">'.$lan['translated_name'].'</a>';
            }
        $mar .= '</ul>';
    }else{
        //remove this code when send themeforest reviewer team
        $mar .= '<div class="header__lang">';
        $mar .= '<select>';
            $mar .= '<option>'.esc_html__('English','roxce').'</option>';
            $mar .= '<option>'.esc_html__('Ban','roxce').'</option>';
            $mar .= '<option>'.esc_html__('Jap','roxce').'</option>';
            $mar .= '<option>'.esc_html__('Rus','roxce').'</option>';
        $mar .= ' </select>';
        $mar .= ' </div>';
    }
    print roxce_language($mar);
}
add_action('roxce_language','roxce_language_list');

// header logo
function roxce_header_logo() {
    ?>
        <?php 
        $roxce_logo_on = function_exists('get_field') ? get_field('is_enable_sec_logo') : NULL;
        $roxce_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
        $roxce_logo_white = get_template_directory_uri() . '/assets/img/logo/logo-white.png';

        $roxce_site_logo = get_theme_mod('logo', $roxce_logo);
        $roxce_secondary_logo = get_theme_mod('seconday_logo', $roxce_logo_white);
        ?>
         
        <?php
        if( has_custom_logo()){
            the_custom_logo();
        }else{
            
            if( !empty($roxce_logo_on) ) { ?>
                <a class="standard-logo" href="<?php print esc_url(home_url('/')); ?>">
                    <img src="<?php print esc_url($roxce_secondary_logo); ?>" alt="<?php print esc_attr__('logo','roxce'); ?>" />
                </a>
            <?php 
            }
            else{ ?>
                <a class="standard-logo-white" href="<?php print esc_url(home_url('/')); ?>">
                    <img src="<?php print esc_url($roxce_site_logo); ?>" alt="<?php print esc_attr__('logo','roxce'); ?>" />
                </a>
            <?php 
            }
        }   
        ?>
    <?php 
} 

// header logo
function roxce_header_sticky_logo() {
    ?>
        <?php 
        $roxce_logo = get_template_directory_uri() . '/assets/images/logo/logo-gradient.png';

        $roxce_site_logo = get_theme_mod('logo_sticky', $roxce_logo);
        ?>
         
        <?php
        if( has_custom_logo()){
            the_custom_logo();
        }else{?>
            
            <a class="standard-logo-white" href="<?php print esc_url(home_url('/')); ?>">
                <img src="<?php print esc_url($roxce_site_logo); ?>" alt="<?php print esc_attr__('logo','roxce'); ?>" />
            </a>
           <?php 
            
        }   
        ?>
    <?php 
} 



/** 
 * [roxce_header_social_profiles description]
 * @return [type] [description]
 */
function roxce_header_social_profiles() {
    $roxce_topbar_fb_url             = get_theme_mod('roxce_topbar_fb_url', __('#','roxce'));
    $roxce_topbar_twitter_url       = get_theme_mod('roxce_topbar_twitter_url', __('#','roxce'));
    $roxce_topbar_instagram_url      = get_theme_mod('roxce_topbar_instagram_url', __('#','roxce'));
    $roxce_topbar_linkedin_url      = get_theme_mod('roxce_topbar_linkedin_url', __('#','roxce'));
    $roxce_topbar_youtube_url        = get_theme_mod('roxce_topbar_youtube_url', __('#','roxce'));
    ?> 
      <ul> 
         <li class="header--social">
             <?php if (!empty($roxce_topbar_fb_url)): ?>
               <a href="<?php print esc_url($roxce_topbar_fb_url); ?>"><i class="fab fa-facebook-f"></i></a>
             <?php endif; ?>

             <?php if (!empty($roxce_topbar_twitter_url)): ?>
                 <a href="<?php print esc_url($roxce_topbar_twitter_url); ?>"><i class="fab fa-twitter"></i></a>
             <?php endif; ?>

             <?php if (!empty($roxce_topbar_instagram_url)): ?>
                 <a href="<?php print esc_url($roxce_topbar_instagram_url); ?>"><i class="fab fa-instagram"></i></a>
             <?php endif; ?>

             <?php if (!empty($roxce_topbar_linkedin_url)): ?>
                 <a href="<?php print esc_url($roxce_topbar_linkedin_url); ?>"><i class="fab fa-linkedin"></i></a>
             <?php endif; ?>        

             <?php if (!empty($roxce_topbar_youtube_url)): ?>
                 <a href="<?php print esc_url($roxce_topbar_youtube_url); ?>"><i class="fab fa-youtube"></i></a>
             <?php endif; ?>
         </li>
      </ul>
<?php 
}

// roxce_mobile_social_profiles
function roxce_mobile_social_profiles() {
    $roxce_topbar_fb_url             = get_theme_mod('roxce_topbar_fb_url', __('#','roxce'));
    $roxce_topbar_twitter_url       = get_theme_mod('roxce_topbar_twitter_url', __('#','roxce'));
    $roxce_topbar_instagram_url      = get_theme_mod('roxce_topbar_instagram_url', __('#','roxce'));
    $roxce_topbar_linkedin_url      = get_theme_mod('roxce_topbar_linkedin_url', __('#','roxce'));
    $roxce_topbar_youtube_url        = get_theme_mod('roxce_topbar_youtube_url', __('#','roxce'));
    ?> 
    <?php if (!empty($roxce_topbar_fb_url)): ?>
      <a href="<?php print esc_url($roxce_topbar_fb_url); ?>"><i class="fab fa-facebook-f"></i></a>
    <?php endif; ?>

    <?php if (!empty($roxce_topbar_twitter_url)): ?>
        <a href="<?php print esc_url($roxce_topbar_twitter_url); ?>"><i class="fab fa-twitter"></i></a>
    <?php endif; ?>

    <?php if (!empty($roxce_topbar_instagram_url)): ?>
        <a href="<?php print esc_url($roxce_topbar_instagram_url); ?>"><i class="fab fa-instagram"></i></a>
    <?php endif; ?>

    <?php if (!empty($roxce_topbar_linkedin_url)): ?>
        <a href="<?php print esc_url($roxce_topbar_linkedin_url); ?>"><i class="fab fa-linkedin"></i></a>
    <?php endif; ?>        

    <?php if (!empty($roxce_topbar_youtube_url)): ?>
        <a href="<?php print esc_url($roxce_topbar_youtube_url); ?>"><i class="fab fa-youtube"></i></a>
    <?php endif; ?>
<?php 
}
// roxce sidebar profile
function roxce_sidebar_social_profiles() {
    $roxce_topbar_fb_url             = get_theme_mod('roxce_topbar_fb_url', __('#','roxce'));
    $roxce_topbar_twitter_url       = get_theme_mod('roxce_topbar_twitter_url', __('#','roxce'));
    $roxce_topbar_instagram_url      = get_theme_mod('roxce_topbar_instagram_url', __('#','roxce'));
    $roxce_topbar_linkedin_url      = get_theme_mod('roxce_topbar_linkedin_url', __('#','roxce'));
    $roxce_topbar_youtube_url        = get_theme_mod('roxce_topbar_youtube_url', __('#','roxce'));
    ?> 
    <ul>
      <?php if (!empty($roxce_topbar_fb_url)): ?>
         <li>
            <a href="<?php print esc_url($roxce_topbar_fb_url); ?>"><i class="fab fa-facebook-f"></i></a>
         </li>
       <?php endif; ?>
       <?php if (!empty($roxce_topbar_twitter_url)): ?>
       <li>
          <a href="<?php print esc_url($roxce_topbar_twitter_url); ?>"><i class="fab fa-twitter"></i></a>
       </li>
        <?php endif; ?>
         <?php if (!empty($roxce_topbar_instagram_url)): ?>
            <li>
               <a href="<?php print esc_url($roxce_topbar_instagram_url); ?>"><i class="fab fa-instagram"></i></a>
            </li>
         <?php endif; ?>
         <?php if (!empty($roxce_topbar_linkedin_url)): ?>
            <li>
               <a href="<?php print esc_url($roxce_topbar_linkedin_url); ?>"><i class="fab fa-linkedin"></i></a>
            </li>
         <?php endif; ?>
         <?php if (!empty($roxce_topbar_youtube_url)): ?>
            <li>
               <a href="<?php print esc_url($roxce_topbar_youtube_url); ?>"><i class="fab fa-youtube"></i></a>
            </li>
         <?php endif; ?>
    </ul>
<?php 
}

// roxce_footer_social_profiles
function roxce_footer_social_profiles() {
    $roxce_footer_fb_url             = get_theme_mod('roxce_footer_fb_url', __('#','roxce'));
    $roxce_footer_twitter_url       = get_theme_mod('roxce_footer_twitter_url', __('#','roxce'));
    $roxce_footer_linkedin_url      = get_theme_mod('roxce_footer_linkedin_url', __('#','roxce'));
    $roxce_footer_instagram_url      = get_theme_mod('roxce_footer_instagram_url', __('#','roxce'));
    $roxce_footer_youtube_url        = get_theme_mod('roxce_footer_youtube_url', __('#','roxce'));
    ?> 
    <ul>
    <?php if (!empty($roxce_footer_fb_url)): ?>
      <li>
         <a href="<?php print esc_url($roxce_footer_fb_url); ?>"><i class="fab fa-facebook-f"></i></a>
      </li>
    <?php endif; ?>

    <?php if (!empty($roxce_footer_twitter_url)): ?>
      <li>
         <a href="<?php print esc_url($roxce_footer_twitter_url); ?>"><i class="fab fa-twitter"></i></a>
      </li>
    <?php endif; ?>

    <?php if (!empty($roxce_footer_instagram_url)): ?>
      <li>
         <a href="<?php print esc_url($roxce_footer_instagram_url); ?>"><i class="fab fa-instagram"></i></a>
      </li>
    <?php endif; ?>

    <?php if (!empty($roxce_footer_linkedin_url)): ?>
      <li>
         <a href="<?php print esc_url($roxce_footer_linkedin_url); ?>"><i class="fab fa-linkedin"></i></a>
      </li>
    <?php endif; ?>        

    <?php if (!empty($roxce_footer_youtube_url)): ?>
      <li>
         <a href="<?php print esc_url($roxce_footer_youtube_url); ?>"><i class="fab fa-youtube"></i></a>
      </li>
    <?php endif; ?>
    </ul>
<?php 
}


/** 
 * [roxce_header_menu description]
 * @return [type] [description]
 */
function roxce_header_menu() { ?>
            <?php 
            wp_nav_menu(array(
                'theme_location'    => 'main-menu',
                'menu_class'        => '',
                'container'         => '',
                'fallback_cb'       => 'roxce_Navwalker_Class::fallback',
                'walker'            => new roxce_Navwalker_Class
            ));
           ?>
    <?php 
}

/**
 * [roxce_header_menu description]
 * @return [type] [description]
 */
function roxce_mobile_menu() { ?>
    <?php
    $roxce_menu = wp_nav_menu( array(
        'theme_location' => 'main-menu',
        'menu_class'     => '',
        'container'      => '',
        'menu_id'        => 'mobile-menu-active',
        'echo'           => false
    ) );

    $roxce_menu = str_replace( "menu-item-has-children", "menu-item-has-children has-children", $roxce_menu );
    echo wp_kses_post( $roxce_menu );
    ?>
    <?php
}

/** 
 * [roxce_footer_menu description]
 * @return [type] [description]
 */
function roxce_top_menu() { 
    wp_nav_menu(array(
        'theme_location'    => 'top-menu',
        'menu_class'        => 'm-0',
        'container'         => '',
        'fallback_cb'       => 'roxce_Navwalker_Class::fallback',
        'walker'            => new roxce_Navwalker_Class
    ));
}




/**
*
* roxce elements footer
*/
function roxce_element_footer_style($template_id) { ?>
    <div class="el-footer-area">
        <?php echo \BdevsElement::$elementor_instance->frontend->get_builder_content($template_id, true); ?>
    </div>
<?php
}

/**
*
* roxce footer
*/
function roxce_check_footer() {
    $roxce_element_footer_switch = get_theme_mod('roxce_element_footer_switch', false );
    if(!empty($roxce_element_footer_switch)) {
        $element_footer_styles = function_exists('get_field') ? get_field( 'element_footer_styles' ) : NULL;
        if (!empty($element_footer_styles->ID)) {
            roxce_element_footer_style($element_footer_styles->ID);
        }
        else{
            $template_id = get_theme_mod('choose_default_footer_el' );
            roxce_element_footer_style($template_id);
        }
    }
    else{
        $roxce_footer_style = function_exists('get_field') ? get_field( 'footer_style' ) : NULL;
        $roxce_default_footer_style = get_theme_mod('choose_default_footer', 'footer-style-1' );
       
        if( $roxce_footer_style == 'footer-style-1' ) {
            roxce_footer_style_1();
        }    
        elseif( $roxce_footer_style == 'footer-style-2' ) {
            roxce_footer_style_2();
        }
        elseif( $roxce_footer_style == 'footer-style-3' ) {
           roxce_footer_style_3();
      } 
        else{

      /** default footer style **/
      if($roxce_default_footer_style == 'footer-style-3') {
         roxce_footer_style_3();
      }
      elseif($roxce_default_footer_style == 'footer-style-2') {
         roxce_footer_style_2();
      } 
      else {
            roxce_footer_style_1();
         }

        }
    }
}
add_action('roxce_footer_style', 'roxce_check_footer', 10);

/**
* footer 1 style_defaut
*/
function roxce_footer_style_1() {
    $footer_bg_img = get_theme_mod('roxce_footer_bg');
    $roxce_footer_social_profiles = get_theme_mod('roxce_footer_social_profiles',false);
    $roxce_copyright_center = $roxce_footer_social_profiles ? 'col-xxl-6 col-xl-6 col-lg-6 col-md-6 col-sm-6 text-sm-end' : 'col-xxl-12 col-xl-12 col-lg-12 text-center';

    $roxce_footer_bg_url_from_page = function_exists('get_field') ? get_field('roxce_footer_bg') : '';
    $roxce_footer_bg_color_from_page = function_exists('get_field') ? get_field('roxce_footer_bg_color') : '';
    $footer_bg_color = get_theme_mod('roxce_footer_bg_color');
    $footer_style_2_switch = get_theme_mod('footer_style_2_switch');
    
    // bg image
    $bg_img = !empty($roxce_footer_bg_url_from_page['url']) ? $roxce_footer_bg_url_from_page['url'] : $footer_bg_img;

    // bg color
    $bg_color = !empty($roxce_footer_bg_color_from_page) ? $roxce_footer_bg_color_from_page : $footer_bg_color;  

    $footer_columns = 0;
    $footer_widgets = get_theme_mod('footer_widget_number', 4);

    for( $num=1; $num <= $footer_widgets; $num++ ) {
        if ( is_active_sidebar( 'footer-'. $num ) ){
            $footer_columns++;
        }
    }

    switch ( $footer_columns ) {
        case '1':
        $footer_class[1] = 'col-lg-12';
        break;
        case '2':
        $footer_class[1] = 'col-lg-6 col-md-6';
        $footer_class[2] = 'col-lg-6 col-md-6';
        break;
        case '3':
        $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
        $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
        $footer_class[3] = 'col-xl-4 col-lg-6';
        break;        
        case '4':
        $footer_class[1] = 'col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6';
        $footer_class[2] = 'col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6';
        $footer_class[3] = 'col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6';
        $footer_class[4] = 'col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6';
        break;
        default:
        $footer_class = 'col-xl-4 col-lg-4 col-md-6';
        break;
    }    

?>
     


    <!-- footer area start -->
   <footer>
        <div class="footer__area black-bg" data-bg-color="<?php print esc_attr($bg_color); ?>" data-background="<?php print esc_url($bg_img); ?>">
         <?php if ( is_active_sidebar('footer-1') OR is_active_sidebar('footer-2') OR is_active_sidebar('footer-3') OR is_active_sidebar('footer-4') ): ?>
           <div class="footer__top pt-75 pb-35">
             <div class="container">
               <div class="row">
                     <?php
                    if ( $footer_columns > 4 ) {     
                        print '<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-1');
                        print '</div>';
                    
                        print '<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-2');
                        print '</div>';
                    
                        print '<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-3');
                        print '</div>'; 

                        print '<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-4');
                        print '</div>';       
                    }
                    else{
                            for( $num=1; $num <= $footer_columns; $num++ ) {
                                if ( !is_active_sidebar( 'footer-'. $num ) ) continue;
                                print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                                dynamic_sidebar( 'footer-'. $num );
                                print '</div>';
                            }  
                        }
                    ?>
               </div>
             </div>
           </div>
           <?php endif; ?>
           <div class="footer__bottom">
              <div class="container">
                 <div class="footer__bottom-border">
                    <div class="row align-items-center">
                     <?php if($roxce_footer_social_profiles == 1) : ?>
                       <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6 col-sm-6">
                          <div class="footer__social">
                            <?php echo roxce_footer_social_profiles(); ?>
                          </div>
                       </div>
                     <?php endif; ?>
                       <div class="<?php print esc_attr($roxce_copyright_center); ?>">
                          <div class="footer__copyright">
                             <p><?php print roxce_copyright_text(); ?></p>
                          </div>
                       </div>
                    </div>
                 </div>
              </div>
           </div>
        </div>
   </footer>
      <!-- footer area end -->


<?php 
}

/**
* footer  style 2
*/
function roxce_footer_style_2() {

    $footer_bg_img = get_theme_mod('roxce_footer_bg');
    $roxce_footer_logo = get_theme_mod('roxce_footer_logo', false);
    $roxce_footer_social_profiles = get_theme_mod('roxce_footer_social_profiles',false);
    $roxce_copyright_center = $roxce_footer_social_profiles ? 'col-xxl-6 col-xl-6 col-lg-6 col-md-8' : 'col-xxl-12 col-xl-12 col-lg-12 d-sm-flex align-items-center justify-content-md-center';
    $roxce_footer_bg_url_from_page = function_exists('get_field') ? get_field('roxce_footer_bg') : '';
    $roxce_footer_bg_color_from_page = function_exists('get_field') ? get_field('roxce_footer_bg_color') : '';
    $footer_style_2_switch = get_theme_mod('footer_style_2_switch');

    $footer_bg_color = get_theme_mod('roxce_footer_bg_color');
    
    // bg image
    $bg_img = !empty($roxce_footer_bg_url_from_page['url']) ? $roxce_footer_bg_url_from_page['url'] : $footer_bg_img;  

    // bg color
    $bg_color = !empty($roxce_footer_bg_color_from_page) ? $roxce_footer_bg_color_from_page : $footer_bg_color;   

    // footer_columns
    $footer_columns = 0;
    $footer_widgets = get_theme_mod('footer_widget_number', 4);

    for( $num=1; $num <= $footer_widgets; $num++ ) {
        if ( is_active_sidebar( 'footer-2-'. $num ) ){
            $footer_columns++;
        }
    } 

    switch ( $footer_columns ) {
        case '1':
        $footer_class[1] = 'col-lg-12';
        break;
        case '2':
        $footer_class[1] = 'col-lg-6 col-md-6';
        $footer_class[2] = 'col-lg-6 col-md-6';
        break;
        case '3':
        $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
        $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
        $footer_class[3] = 'col-xl-4 col-lg-6';
        break;        
        case '4':
        $footer_class[1] = 'col-xxl-2 col-xl-2 col-lg-3 col-md-6 col-sm-6';
        $footer_class[2] = 'col-xxl-3 col-xl-3 col-lg-3 col-md-6 col-sm-6';
        $footer_class[3] = 'col-xxl-4 col-xl-4 col-lg-5 col-md-6 col-sm-6';
        $footer_class[4] = 'col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6';
        break;
        default:
        $footer_class = 'col-xl-4 col-lg-4 col-md-6';
        break;
    }  

?>


   <!-- footer area start -->
   <footer>
        <div class="footer__area black-bg" data-bg-color="<?php print esc_attr($bg_color); ?>" data-background="<?php print esc_url($bg_img); ?>">
         <?php if ( is_active_sidebar('footer-2-1') OR is_active_sidebar('footer-2-2') OR is_active_sidebar('footer-2-3') OR is_active_sidebar('footer-2-4') ): ?>
         <?php if (!empty($footer_style_2_switch)): ?>
           <div class="footer__top pt-75 pb-35">
             <div class="container">
               <div class="row">
                 <?php
                    if ( $footer_columns > 4 ) {     
                        print '<div class="col-xxl-2 col-xl-2 col-lg-3 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-2-1');
                        print '</div>';
                    
                        print '<div class="col-xxl-3 col-xl-3 col-lg-3 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-2-2');
                        print '</div>';
                    
                        print '<div class="col-xxl-4 col-xl-4 col-lg-5 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-2-3');
                        print '</div>'; 

                        print '<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-2-4');
                        print '</div>';       
                    }
                    else{
                         for( $num=1; $num <= $footer_columns; $num++ ) {
                             if ( !is_active_sidebar( 'footer-2-'. $num ) ) continue;
                             print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                             dynamic_sidebar( 'footer-2-'. $num );
                             print '</div>';
                         }  
                        }
                    ?>
               </div>
             </div>
           </div>
         <?php endif; ?>
         <?php endif; ?>
           <div class="footer__bottom">
              <div class="container">
                 <div class="footer__bottom-border footer__bottom-border-2">
                    <div class="row align-items-center">
                     <?php if($roxce_footer_social_profiles == 1) : ?>
                       <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-4">
                          <div class="footer__social footer__social-2">
                             <?php echo roxce_footer_social_profiles(); ?>
                          </div>
                       </div>
                     <?php endif; ?>
                       <div class="<?php print esc_attr($roxce_copyright_center); ?>">
                          <div class="footer__copyright footer__copyright-2 d-sm-flex align-items-center justify-content-md-end">
                             <p><?php print roxce_copyright_text(); ?></p>
                             <div class="footer__logo">
                               <a href="<?php print esc_url(home_url('/')); ?>">
                                 <img src="<?php print esc_url($roxce_footer_logo); ?>" alt="img">
                               </a>
                             </div>
                          </div>
                       </div>
                    </div>
                 </div>
              </div>
           </div>
        </div>
   </footer>
<!-- footer area end -->


<?php 
}


/**
* footer style 3
*/
function roxce_footer_style_3() {

    $footer_bg_img = get_theme_mod('roxce_footer_bg');
    $roxce_footer_bg_url_from_page = function_exists('get_field') ? get_field('roxce_footer_bg') : '';
    $roxce_footer_bg_color_from_page = function_exists('get_field') ? get_field('roxce_footer_bg_color') : '';
    $footer_style_3_switch = get_theme_mod('footer_style_3_switch');
   

    $footer_bg_color = get_theme_mod('roxce_footer_bg_color');
    
    // bg image
    $bg_img = !empty($roxce_footer_bg_url_from_page['url']) ? $roxce_footer_bg_url_from_page['url'] : $footer_bg_img;  

    // bg color
    $bg_color = !empty($roxce_footer_bg_color_from_page) ? $roxce_footer_bg_color_from_page : $footer_bg_color;   

    // footer_columns
    $footer_columns = 0;
    $footer_widgets = get_theme_mod('footer_widget_number', 4);

    for( $num=1; $num <= $footer_widgets; $num++ ) {
        if ( is_active_sidebar( 'footer-3-'. $num ) ){
            $footer_columns++;
        }
    } 

    switch ( $footer_columns ) {
        case '1':
        $footer_class[1] = 'col-lg-12';
        break;
        case '2':
        $footer_class[1] = 'col-lg-6 col-md-6';
        $footer_class[2] = 'col-lg-6 col-md-6';
        break;
        case '3':
        $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
        $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
        $footer_class[3] = 'col-xl-4 col-lg-6';
        break;        
        case '4':
        $footer_class[1] = 'col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6';
        $footer_class[2] = 'col-xxl-2 col-xl-3 col-lg-4 col-md-6 col-sm-6';
        $footer_class[3] = 'col-xxl-4 col-xl-3 col-lg-4 col-md-6 col-sm-6';
        $footer_class[4] = 'col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6';
        break;
        default:
        $footer_class = 'col-xl-4 col-lg-4 col-md-6';
        break;
    }  

?>

 <!-- footer area start -->
   <footer>
        <div class="footer__area grey-bg" data-bg-color="<?php print esc_attr($bg_color); ?>" data-background="<?php print esc_url($bg_img); ?>">
          <?php if ( is_active_sidebar('footer-3-1') OR is_active_sidebar('footer-3-2') OR is_active_sidebar('footer-3-3') OR is_active_sidebar('footer-3-4') ): ?>
          <?php if (!empty($footer_style_3_switch)): ?>
           <div class="footer__top-info pt-75">
             <div class="container">
               <div class="row">
               <?php
                    if ( $footer_columns > 4 ) {     
                        print '<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-3-1');
                        print '</div>';
                    
                        print '<div class="col-xxl-2 col-xl-3 col-lg-4 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-3-2');
                        print '</div>';
                    
                        print '<div class="col-xxl-4 col-xl-3 col-lg-4 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-3-3');
                        print '</div>'; 

                        print '<div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6">';
                        dynamic_sidebar( 'footer-3-4');
                        print '</div>';       
                    }
                    else{
                         for( $num=1; $num <= $footer_columns; $num++ ) {
                             if ( !is_active_sidebar( 'footer-3-'. $num ) ) continue;
                             print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                             dynamic_sidebar( 'footer-3-'. $num );
                             print '</div>';
                         }  
                     }
                    ?>
               </div>
             </div>
           </div>
           <?php endif; ?>
           <?php endif; ?>
           <div class="footer__bottom">
              <div class="container">
                 <div class="footer__bottom-border footer__bottom-border-3">
                    <div class="row align-items-center">
                       <div class="col-xxl-12">
                          <div class="footer__copyright footer__copyright-3 text-center">
                             <p><?php print roxce_copyright_text(); ?></p>
                          </div>
                       </div>
                    </div>
                 </div>
              </div>
           </div>
        </div>
   </footer>
      <!-- footer area end -->

<?php 
}


// roxce_copyright_text
function roxce_copyright_text(){
    if( rtl_enable() ){
        print get_theme_mod('roxce_copyright_rtl', __('© 2022 Roxce All Rights Reserved','roxce'));
    }
    else{
       print get_theme_mod('roxce_copyright', __('© 2022 Roxce All Rights Reserved','roxce'));
    }
}


/** 
 * [roxce_breadcrumb_func description]
 * @return [type] [description]
 */
function roxce_breadcrumb_func() {

    $breadcrumb_class = '';
    $breadcrumb_show = 1;

    if ( is_front_page() && is_home() ) {
        $title = get_theme_mod('breadcrumb_blog_title', __('Blog','roxce'));
        $breadcrumb_class = 'home_front_page';
    }
    elseif ( is_front_page() ) {
        $title = get_theme_mod('breadcrumb_blog_title', __('Blog','roxce'));
        $breadcrumb_show = 0;

    }
    elseif ( is_home() ) {
        if ( get_option( 'page_for_posts' ) ) {
            $title = get_the_title( get_option( 'page_for_posts') );
        }
    }
    elseif ( is_single() && 'post' == get_post_type() ) { 
        if (rtl_enable()) 
            $title = get_theme_mod('breadcrumb_blog_title_details_rtl', __('Blog','roxce')); 
        else
            $title = get_the_title();
    }
    elseif ( is_single() && 'product' == get_post_type() ) { 
        $title = get_theme_mod('breadcrumb_product_details', __('Shop','roxce'));
    }   
    elseif ( is_single() && 'bdevs-services' == get_post_type() ) { 
        if (rtl_enable()) 
            $title = get_theme_mod('breadcrumb_department_details_rtl', __('Services','roxce'));
        else
            $title = get_the_title();
    }    
    elseif ( is_single() && 'bdevs-doctor' == get_post_type() ) { 
        if (rtl_enable()) 
            $title = get_theme_mod('breadcrumb_doctor_details_rtl', __('Doctor Details','roxce'));
        else
            $title = get_theme_mod('breadcrumb_doctor_details', __('Doctor Details','roxce'));

    }    
    elseif ( is_single() && 'bdevs-cases' == get_post_type() ) { 
        if (rtl_enable()) 
            $title = get_theme_mod('breadcrumb_case_study_details_rtl', __('Gallery','roxce'));
        else
            $title = get_the_title();

    }
    elseif ( is_search() ) {
        $title = esc_html__( 'Search Results for : ', 'roxce' ) . get_search_query();
    }
    elseif ( is_404() ) {
        $title = esc_html__( 'Page not Found', 'roxce' );
    }
    elseif ( function_exists('is_woocommerce') && is_woocommerce()) {
        $title = get_theme_mod('breadcrumb_shop', __('Shop','roxce'));
    }
    elseif ( is_archive() ) {
        $title = get_the_archive_title();
    }
    else {
        $title = get_the_title();
    }




    $is_breadcrumb = function_exists('get_field') ? get_field('is_it_invisible_breadcrumb') : '';

    $_id = get_the_ID();
    if ( is_single() && 'product' == get_post_type() ) { 
        $_id = $post->ID;
    } 
    // if ( is_single() && 'bdevs-services' == get_post_type() ) { 
    //     $_id = $post->ID;
    // } 
    elseif ( function_exists("is_shop") ) { 
        $_id = wc_get_page_id('shop');
    } 
    elseif ( is_home() && get_option( 'page_for_posts' ) ) {
        $_id = get_option( 'page_for_posts' );
    }


    
    if( empty($is_breadcrumb) && $breadcrumb_show == 1 ) { 

      $bg_img_from_page = function_exists('get_field') ? get_field('breadcrumb_background_image', $_id) : '';
      $hide_bg_img = function_exists('get_field') ? get_field('hide_breadcrumb_background_image', $_id) : '';
        
      // get_theme_mod
      $bg_img = get_theme_mod('breadcrumb_bg_img');

      $roxce_breadcrumb_padding_top = function_exists('get_field') ? get_field('roxce_breadcrumb_padding_top') : '160px';
      $roxce_breadcrumb_padding_bottom = function_exists('get_field') ? get_field('roxce_breadcrumb_padding_bottom') : '165px';


      if( $hide_bg_img ){
         $bg_img = '';
      }
      else {
         $bg_img = !empty($bg_img_from_page) ? $bg_img_from_page['url'] : $bg_img;  
      } ?>

        <?php    
        $breadcrumb_shape_switch = get_theme_mod('breadcrumb_shape_switch', true); 
        ?>

         <!-- page title area start -->
         <section class="page__title-area pt-160 pb-165 p-relative page__title-overlay <?php print esc_attr($breadcrumb_class); ?>" data-background="<?php print esc_attr($bg_img);?>"  data-top-space="<?php print esc_attr($roxce_breadcrumb_padding_top); ?>px" data-bottom-space="<?php print esc_attr($roxce_breadcrumb_padding_bottom); ?>px">
            <div class="container">
               <div class="row">
                  <div class="col-xxl-12">
                     <div class="page__title-wrapper">
                        <h3 class="page__title"><?php echo wp_kses_post( $title );?></h3> 
                        <nav aria-label="breadcrumb breadcrumb">
                          <?php roxce_breadcrumb_callback();?>
                        </nav>
                     </div>
                  </div>
               </div>
            </div>
         </section>
         <!-- page title area end -->


        <?php 
    }
}
add_action('roxce_before_main_content', 'roxce_breadcrumb_func');


function roxce_breadcrumb_callback() {
    $args = array(
        'show_browse'   => false,
        'post_taxonomy' => array( 'product' =>'product_cat' )
    );
    $breadcrumb = new roxce_Breadcrumb_Class( $args );
    
    return $breadcrumb->trail();
}


// gru_search_form
function roxce_search_form() { ?>
   <!-- search overlay start -->
      <section class="search__area d-flex align-items-center">
         <div class="container">
            <div class="row">
               <div class="col-xxl-12">
                  <div class="search__wrapper">
                     <div class="search__close">
                        <button class="search-close-btn"><i class="fal fa-times"></i></button>
                     </div>
                     <form method="get" action="<?php print esc_url(home_url('/')); ?>">
                        <div class="search__input">
                           <input type="search" name="s" value="<?php print esc_attr( get_search_query() ) ?>" placeholder="<?php print esc_attr__('Search here...', 'roxce'); ?>">
                           <button type="submit"><i class="far fa-search"></i></button>
                        </div>
                     </form>
                  </div>
               </div>
            </div>
         </div>
      </section>
   <!-- search overlay end -->

    <?php 
}

add_action('roxce_before_main_content', 'roxce_search_form');


/**
*
* pagination
*/
if( !function_exists('roxce_pagination') ) {

    function roxce_pagi_callback($pagination) {
        return $pagination;
    }

    //page navegation
    function roxce_pagination( $prev, $next, $pages, $args ) {
        global $wp_query, $wp_rewrite;
        $menu = '';
        $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
        
        if( $pages=='' ){
            global $wp_query;
            $pages = $wp_query->max_num_pages;
            
            if(!$pages)
                $pages = 1;
        }

        $pagination = array(
            'base' => add_query_arg('paged','%#%'),
            'format' => '',
            'total' => $pages,
            'current' => $current,
            'prev_text' => $prev,
            'next_text' => $next,
            'type' => 'array'
        );

        //rewrite permalinks
        if( $wp_rewrite->using_permalinks() )
            $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );

        if( !empty($wp_query->query_vars['s']) )
            $pagination['add_args'] = array( 's' => get_query_var( 's' ) );

        $pagi = '';
        if(paginate_links( $pagination )!=''){
            $paginations = paginate_links( $pagination );
            $pagi .= '<ul>';
                        foreach ($paginations as $key => $pg) {
                            $pagi.= '<li>'.$pg.'</li>';
                        }
            $pagi .= '</ul>';
        }

        print roxce_pagi_callback($pagi);
    }
}

// rtl_enable
function rtl_enable(){
    $my_current_lang = apply_filters( 'wpml_current_language', NULL );
    $rtl_enable =get_theme_mod( 'rtl_switch',false);
    if ( $my_current_lang  != 'en' && $rtl_enable ) {
        return true;
    }
    else {
        return false;
    }
}

// header top bg color
function roxce_breadcrumb_bg_color(){
    $color_code = get_theme_mod( 'roxce_breadcrumb_bg_color','#222');
    wp_enqueue_style( 'roxce-custom', ROXCE_THEME_CSS_DIR . 'roxce-custom.css', array());
    if($color_code!=''){
        $custom_css = '';
        $custom_css .= ".breadcrumb-bg.gray-bg{ background: ".$color_code."}";

        wp_add_inline_style('roxce-breadcrumb-bg',$custom_css);
    }
}
add_action('wp_enqueue_scripts', 'roxce_breadcrumb_bg_color');

// breadcrumb-spacing top
function roxce_breadcrumb_spacing(){
    $padding_px = get_theme_mod( 'roxce_breadcrumb_spacing','160px');
    wp_enqueue_style( 'roxce-custom', ROXCE_THEME_CSS_DIR . 'roxce-custom.css', array());
    if($padding_px!=''){
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-top: ".$padding_px."}";

        wp_add_inline_style('roxce-breadcrumb-top-spacing',$custom_css);
    }
}
add_action('wp_enqueue_scripts', 'roxce_breadcrumb_spacing');

// breadcrumb-spacing bottom
function roxce_breadcrumb_bottom_spacing(){
    $padding_px = get_theme_mod( 'roxce_breadcrumb_bottom_spacing','160px');
    wp_enqueue_style( 'roxce-custom', ROXCE_THEME_CSS_DIR . 'roxce-custom.css', array());
    if($padding_px!=''){
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-bottom: ".$padding_px."}";

        wp_add_inline_style('roxce-breadcrumb-bottom-spacing',$custom_css);
    }
}
add_action('wp_enqueue_scripts', 'roxce_breadcrumb_bottom_spacing');


// scrollup
function roxce_scrollup_switch(){
    $scrollup_switch = get_theme_mod( 'roxce_scrollup_switch', false);
    wp_enqueue_style( 'roxce-custom', ROXCE_THEME_CSS_DIR . 'roxce-custom.css', array());
    if($scrollup_switch){
        $custom_css = '';
        $custom_css .= "#scrollUp{ display: none !important;}";

        wp_add_inline_style('roxce-scrollup-switch',$custom_css);
    }
}
add_action('wp_enqueue_scripts', 'roxce_scrollup_switch');


// Theme color
function roxce_custom_color(){
    $color_code = get_theme_mod( 'roxce_theme_color_primary','#fc8459');
    wp_enqueue_style( 'roxce-custom', ROXCE_THEME_CSS_DIR . 'roxce-custom.css', array());

    if($color_code!=''){
        $custom_css = '';
        $custom_css .= ".main-menu ul li a::after, .main-menu ul li:hover > a::after, .main-menu ul li.active > a::after, .header__social ul li a:hover, .dot-hamburger-btn span, .sidebar__close-btn, .slider__content .r-btn, .section__title-pre::after, .services__icon i, .skill__wrapper p::after, .section__title-pre.center::before, .testimonial__thumb::after, .blog__meta .date, .footer__subscribe button, .footer__social ul li a:hover, .section__title-pre-3.center::after, .section__title-pre-3.center::before, .skill__wrapper .r-btn, .tmd-img:before, .member-skill .progress-bar, .sidebar-search-form button, .sidebar__widget-title::after, .widget_tag_cloud .tagcloud a:hover, .postbox__read-more .r-btn, .pulse-btn:hover, .basic-pagination ul li a:hover, .basic-pagination ul li span.current, .blog-area .basic-pagination ul li a:hover, blockquote cite::before, .blog-tag a:hover { background: ".$color_code."}";

        $custom_css .= ".header__social ul li a, .main-menu ul li:hover > a, .main-menu ul li.active > a, .main-menu ul li.menu-item-has-children:hover::after, .main-menu ul li .submenu li:hover > a, .main-menu nav > ul > li.menu-item-has-children.active::after, .section__title-pre, .about__author-info span, .link-btn-2:hover, .testimonial__avater-info span, .blog__title a:hover, .link-btn-2.pink, .footer__info-icon i, .r-btn-white, .testimonial__avater-info-3 span, .about-member-details > span, .member-qualification h4 span, .skill-title span, .rc-text h6:hover, .postbox__title a:hover, .sidebar__widget ul li a:hover, .postbox__meta span i, .postbox__meta span:hover i, .postbox__meta span:hover, blockquote::before, .pulse-btn { color: ".$color_code."}";

        $custom_css .= ".basic-pagination ul li a:hover, .basic-pagination ul li span.current, .blog-area .basic-pagination ul li a:hover, .post-input input:focus, .post-input textarea:focus { border-color: ".$color_code."}";

        $custom_css .= ".klhf { border-color: ".$color_code." transparent transparent transparent}";
        wp_add_inline_style('roxce-custom',$custom_css);
    }

   $color_code_2 = get_theme_mod( 'roxce_theme_color_secondary','#24c373');
   if($color_code_2!=''){
        $custom_css = '';
        $custom_css .= ".sidebar__contact ul li:hover i, .sidebar__social ul li a:hover, .slider__content .r-btn-green, .about__triangle::after, .blog__meta .author, .r-btn-grey::after { background: ".$color_code_2."}";

        $custom_css .= ".sidebar__social ul li a, .services__title a:hover, .link-btn-2, .link-btn-2.pink:hover, .about__title-2 a:hover, .about__content-2 .link-btn:hover { color: ".$color_code_2."}";

        $custom_css .= ".sidebar__contact ul li:hover i { border-color: ".$color_code_2."}";

        $custom_css .= ".klhf { border-color: ".$color_code_2." transparent transparent transparent}";
        wp_add_inline_style('roxce-custom',$custom_css);
    }

   $color_code_3 = get_theme_mod( 'roxce_theme_color_tertiary','#fad105');
   if($color_code_3!=''){
        $custom_css = '';
        $custom_css .= ".hero__content span::after, .features__wrapper-2 > p::after, .features__video-triangle::after, .yellow-bg, .services__item-2:hover .services__icon i, .portfolio__plus-2 a, .section__title-pre-yellow.yellow::after, .section__title-pre-yellow.yellow::before, .about__quote::after, .portfolio__plus-3 a, .team__social ul li a:hover, .services__widget-download .services-download-btn.yellow, .portfolio__details-info-item span::after, .portfolio__social ul li a:hover, .contact__icon i { background: ".$color_code_3."}";

        $custom_css .= ".hero__content span, .section__title-pre.section__title-pre-yellow, .about__features-icon i, .contact__input-3 i, .breadcrumbs ul li.trail-end span, .contact__form-green .contact__input i, .portfolio__details-info-item span { color: ".$color_code_3."}";

        $custom_css .= ".contact__input-3 .nice-select::after { border-color: ".$color_code_3."}";

        $custom_css .= ".klhf { border-color: ".$color_code_3." transparent transparent transparent}";
        wp_add_inline_style('roxce-custom',$custom_css);
    }

}
add_action('wp_enqueue_scripts', 'roxce_custom_color');


// Logo size 
function roxce_logo_size(){
    $logo_size = get_theme_mod( 'roxce_logo_size','168px');
    wp_enqueue_style( 'roxce-custom', ROXCE_THEME_CSS_DIR . 'roxce-custom.css', array());
    if($logo_size!=''){
        $custom_css = '';
        $custom_css .= ".logo img { width: ".$logo_size."px}";
        wp_add_inline_style('roxce-custom',$custom_css);
    }
}
add_action('wp_enqueue_scripts', 'roxce_logo_size');


// roxce_kses_intermediate
function roxce_kses_intermediate( $string = '' ) {
    return wp_kses( $string, roxce_get_allowed_html_tags( 'intermediate' ) );
}

function roxce_get_allowed_html_tags( $level = 'basic' ) {
    $allowed_html = [
        'b' => [],
        'i' => [],
        'u' => [],
        'em' => [],
        'br' => [],
        'abbr' => [
            'title' => [],
        ],
        'span' => [
            'class' => [],
        ],
        'strong' => [],
        'a' => [
            'href' => [],
            'title' => [],
            'class' => [],
            'id' => []
        ]
    ];

    return $allowed_html;
}