<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package roxce
 */


$gallery_images = function_exists('get_field') ? get_field('gallery_images') : '';

if( is_single() ): ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class('postbox__item postbox__item-single mb-10 transition-3 format-image'); ?>>
        <div class="postbox__thumb postbox__slider swiper-container p-relative">
            <?php if (!empty($gallery_images)) : ?>
              <div class="swiper-wrapper">
                <?php foreach( $gallery_images as $key => $image ) :  ?>
                 <div class="postbox__slider-item swiper-slide">
                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php print esc_attr__('gallery image','roxce'); ?>">
                 </div>
                <?php endforeach; ?>
              </div>
              <div class="postbox-nav">
                 <button class="postbox-slider-button-next"><i class="fal fa-arrow-right"></i></button>
                 <button class="postbox-slider-button-prev"><i class="fal fa-arrow-left"></i></button>
              </div>
        </div>
        <?php endif; ?>

        <div class="postbox__content postbox__content-single">
             <div class="postbox__meta">
                <span><i class="far fa-calendar-check"></i> <?php the_time( get_option('date_format') ); ?></span>
                <span><a href="<?php print esc_url( get_author_posts_url( get_the_author_meta('ID') ) ); ?>"><i class="far fa-user"></i> <?php print get_the_author(); ?></a></span>
                <span><a href="<?php comments_link(); ?>"><i class="fal fa-comments"></i> <?php comments_number(); ?></a></span>
            </div>
            <h3 class="postbox__title">
                <?php the_title(); ?>
            </h3>
            <div class="blog-text mb-30">
               <?php the_content(); ?>
                <?php
                    wp_link_pages( array(
                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'roxce' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',
                    ) );
                ?>
            </div>
            <div class="blog-infos">
                <?php print roxce_get_tag(); ?>
            </div>
        </div>
    </article>
<?php
else: ?>



    <article id="post-<?php the_ID(); ?>" <?php post_class('postbox__item format-image mb-70 transition-3 format-gallery'); ?>>
        <div class="postbox__thumb postbox__slider swiper-container p-relative">
            <?php if (!empty($gallery_images)) : ?>
              <div class="swiper-wrapper">
                <?php foreach( $gallery_images as $key => $image ) :  ?>
                 <div class="postbox__slider-item swiper-slide">
                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php print esc_attr__('gallery image','roxce'); ?>">
                 </div>
                <?php endforeach; ?>
              </div>
              <div class="postbox-nav">
                 <button class="postbox-slider-button-next"><i class="fal fa-arrow-right"></i></button>
                 <button class="postbox-slider-button-prev"><i class="fal fa-arrow-left"></i></button>
              </div>
        </div>
        <?php endif; ?>
        <div class="postbox__content">
            <div class="postbox__meta">
                <span><i class="far fa-calendar-check"></i> <?php the_time( get_option('date_format') ); ?></span>
                <span><a href="<?php print esc_url( get_author_posts_url( get_the_author_meta('ID') ) ); ?>"><i class="far fa-user"></i> <?php print get_the_author(); ?></a></span>
                <span><a href="<?php comments_link(); ?>"><i class="fal fa-comments"></i> <?php comments_number(); ?></a></span>
            </div>
            <h3 class="postbox__title">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> 
            </h3>
            <div class="postbox__text">
                <?php the_excerpt(); ?>
            </div>
            <!-- blog btn -->

            <?php 
                if (rtl_enable()) {
                    $roxce_blog_btn_rtl = get_theme_mod('roxce_blog_btn_rtl','Read More'); 
                 }
                else { 
                    $roxce_blog_btn = get_theme_mod('roxce_blog_btn','Read More'); 
                }
                
                $roxce_blog_btn_switch     = get_theme_mod('roxce_blog_btn_switch', true);  
            ?>
            <?php if(!empty($roxce_blog_btn_switch)) : ?>
                <div class="postbox__read-more">
                    <a href="<?php the_permalink(); ?>" class="r-btn">
                        <?php print esc_html($roxce_blog_btn); ?>
                    </a>
                </div>
            <?php endif; ?>
        </div>
    </article>

<?php
endif; ?>


